<?php

require("./total.inc");

session_start();
require("./ninsyou.inc");
if(0 > ninsyou_check(5)){
   exit;
   }



echo "<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN' 'http://www.w3.org/TR/html4/loose.dtd'>";
echo "<html lang='ja'>";
echo "<head>";
        echo "<meta http-equiv='Content-Type' content='text/html; charset=euc-jp'>";
        echo "<title>Zither server Administration tool 'Apollon'</title>";
echo "</head>";




$CNAME = enco($_GET["CNAME"]);
$BNAME = enco($_GET["BNAME"]);

print("<body alink='#ff0000' bgcolor='$my_bgcolor' link='#0000ff' text='#000000' vlink='#000080'>\n");

print("<TABLE border='0' bgcolor='FFA500' cellspacing='3' cellpadding='0' width=100%>");
print("<tr><td align=left><font color='ffffff'><b>　監視設定 -> ブロッククライアント操作</b></font></td></tr>");
print("</table>");

print("<br>");




$conn = db_connect();
if(!$conn){
   echo "not connection!<br>";
   exit;
   }


//  監視ブロック名リスト作成
$bname_count = 0;
$result = db_query($conn, "select distinct(bname) from userblock;");
if(!$result){
   print("banem select , bud query\n");
   exit;
   }
$num = db_num_rows($result);
if($num > 0){
   while($bname_count < $num){
      $bname_data[$bname_count] = enco_rtrim(db_fetch_Result($result, $bname_count, bname));
      $result1=db_query($conn,"select distinct(cname) from userblock where bname='$bname_data[$bname_count]';");
      if(!$result1){
         print("bname , canem select , bud query\n");
         exit;
         }
      $num1 = db_num_rows($result1);
      if($num1 > 0){
         $cname_data[$bname_count] = enco_rtrim(db_fetch_Result($result1, 0, cname));
         }
      $bname_count++;
      }
   }
else{
   print("NG 監視ブロックが無いです \n");
   }
db_free_result($result);
db_free_result($result1);



$cname_count = 0;
$result=db_query($conn,"select distinct(cname) from connection;");
if(!$result){
   print("canem select , bud query\n");
   exit;
   }
$num = db_num_rows($result);
if($num > 0){
   while($cname_count < $num){
      $xcname_data[$cname_count] = enco_rtrim(db_fetch_Result($result, $cname_count, cname));
      $cname_count++;
      }
   }


db_free_result($result);


db_Close($conn);









print("<FORM METHOD=GET ACTION='negdelete.php' target='top'>");
print("<tr><td><font color=red size=3>");
print("監視クライアント用データベースとzitherサーバの管理ファイル類を完全に削除します。<br>");
print("この設定がないとクライアントはzither監視サーバに接続出来ません。<br>");
print("移動先を指定すると、移動元の監視設定をブロック単位で移動先に移し元のクライアントを削除します。<br>");
print("但し、移動先が存在しない場合はそのまま削除してしまいます。<br>");
print("</td></tr>");
print("このボタンを押すと削除ページに飛びます。<br>");
print("</font>");
print("クライアント名");
// print("<INPUT type='text' NAME=CNAME size='12' value='$CNAME'>");
echo "<select size=1 name=CNAME>";
echo "<option value='$CNAME'>$CNAME";
for($select_count = 0; $select_count < $cname_count; $select_count++){
   echo "<option value=$xcname_data[$select_count]>$xcname_data[$select_count]";
   }
echo "</select>";
print("移動クライアント名");
//print("<INPUT type='text' NAME=CNAME2 size='12' value=''>");
echo "<select size=1 name=CNAME2>";
echo "<option value=''>";
for($select_count = 0; $select_count < $cname_count; $select_count++){
   echo "<option value=$xcname_data[$select_count]>$xcname_data[$select_count]";
   }
echo "</select>";
print("<input type=submit value='クライアント削除'>");
print("</form>");




print("<br><br>");

print("<FORM METHOD=GET ACTION='block_delete.php' target='top'>");
print("<tr><td><font color=red size=3>");
print("</td></tr>");
print("ブロックを削除します。<br>");
print("ブロック内の監視項目も全て消えますのでご注意！！<br>");
print("このボタンを押すと削除ページに飛びます。<br>");
print("</font>");
print("削除ブロック名");
echo "<select size=1 name=BNAME>";
echo "<option value='$BNAME'>$BNAME";
for($select_count = 0; $select_count < $bname_count; $select_count++){
   echo "<option value=$bname_data[$select_count]>$bname_data[$select_count] ($cname_data[$select_count])";
   }
echo "</select>";

print("<input type=submit value='ブロック削除'>");
print("</form>");




print("<br><br>");

print("<FORM METHOD=GET ACTION='block_delete.php' target='top'>");
print("<tr><td><font color=red size=3>");
print("</td></tr>");
print("ブロックの複製を作ります。 <br>");
print("ブロック内の監視項目も全てコピーしますが、監視はOFFになり、メール送信もOFFになります。<br>");
print("複製後に内容を確認して編集等行ってください。<br>");
print("このボタンを押すと複製のページに飛びます。<br>");
print("</font>");
print("複製元ブロック名");
echo "<select size=1 name=BNAME_1>";
echo "<option value='$BNAME'>$BNAME";
for($select_count = 0; $select_count < $bname_count; $select_count++){
   echo "<option value=$bname_data[$select_count]>$bname_data[$select_count] ($cname_data[$select_count])";
   }
echo "</select>";
print("複製ブロック名");
print("<INPUT type='text' NAME=BNAME_2 size='12' value=''>");

print("ブロック複製先のクライアント名");
echo "<select size=1 name=CNAME>";
echo "<option value='$CNAME'>$CNAME";
for($select_count = 0; $select_count < $cname_count; $select_count++){
   echo "<option value=$xcname_data[$select_count]>$xcname_data[$select_count]";
   }

print("<input type=submit value='複製の実行'>");
print("</form>");




print("<br><br>");

print("<FORM METHOD=GET ACTION='block_delete.php' target='top'>");
print("<tr><td><font color=red size=3>");
print("</td></tr>");
print("ブロックをそのまま他の監視クライアントに移動出来ます<br>");
print("移動ですので、移動元のブロックは消えますのでご注意！！<br>");
print("このボタンを押すと移動ページに飛びます。<br>");
print("</font>");
print("移動ブロック名");
// print("<INPUT type='text' NAME=BNAME size='12' value='$BNAME'>");
echo "<select size=1 name=BNAME>";
echo "<option value='$BNAME'>$BNAME";
for($select_count = 0; $select_count < $bname_count; $select_count++){
   echo "<option value=$bname_data[$select_count]>$bname_data[$select_count] ($cname_data[$select_count])";
   }
echo "</select>";
print("移動先監視クライアント名");
// print("<INPUT type='text' NAME=CNAME size='12' value='$CNAME'>");
echo "<select size=1 name=CNAME>";
echo "<option value='$CNAME'>$CNAME";
for($select_count = 0; $select_count < $cname_count; $select_count++){
   echo "<option value=$xcname_data[$select_count]>$xcname_data[$select_count]";
   }
echo "</select>";
print("<input type=submit value='ブロック移動'>");
print("</form>");




print("<br><br>");

print("<FORM METHOD=GET ACTION='block_delete.php' target='top'>");
print("<tr><td><font color=red size=3>");
print("</td></tr>");
print("ブロック名を変更します。<br>");
print("ブロック名が既に存在する場合はなにも行いません<br>");
print("このボタンを押すと移動ページに飛びます。<br>");
print("</font>");
print("変更前ブロック名");
echo "<select size=1 name=BNAME>";
echo "<option value='$BNAME'>$BNAME";
for($select_count = 0; $select_count < $bname_count; $select_count++){
   echo "<option value=$bname_data[$select_count]>$bname_data[$select_count] ($cname_data[$select_count])";
   }
echo "</select>";
print("変更後ブロック名");
print("<INPUT type='text' NAME=BNAME2 size='12' value=''>");
print("<input type=submit value='ブロック移動'>");
print("</form>");




print("<br><br>");

print("<FORM METHOD=GET ACTION='block_newedit.php' target='top'>");
print("<tr><td><font color=red size=3>");
print("</td></tr>");
print("ブロック新規作成<br>");
print("ブロック名が既に存在する場合は編集になります<br>");
print("このボタンを押すと編集ページに飛びます。<br>");
print("</font>");
print("変更前ブロック名");
// print("<INPUT type='text' NAME=BNAME size='12' value='$BNAME'>");
echo "<select size=1 name=BNAME>";
echo "<option value='$BNAME'>$BNAME";
for($select_count = 0; $select_count < $bname_count; $select_count++){
   echo "<option value=$bname_data[$select_count]>$bname_data[$select_count] ($cname_data[$select_count])";
   }
echo "</select>";
print("<input type=submit value='ブロック作成 、編集'>");
print("</form>");




print("<br><br>");


?>


</body>
</html>

